package eu.univento.teamvento.commands;

import eu.univento.core.api.AutoCommand;
import eu.univento.core.api.languages.Messages;
import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.api.player.Rank;
import eu.univento.teamvento.TeamVento;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.List;

/**
 * @author joethei
 * @version 0.1
 */
public class WorldList extends AutoCommand<TeamVento> {

    public WorldList(TeamVento plugin, String command, String description, String... aliases) {
        super(plugin, command, description, aliases);
    }

    @Override
    public boolean execute(CommandSender sender, String label, String[] args) {
        if(sender instanceof Player) {
            CustomPlayer p = CustomPlayer.getPlayer(sender.getName());
            if(p.isAllowed(Rank.Supporter)) {
                p.sendMessage("§cAll worlds");
                for(String world : TeamVento.getCfg().getKeys(true)) {
                    p.sendMessage("§a- " + world);
                }
            }else{
                p.sendMessage(p.getMessages().NO_PERMS());
            }
        }else{
            sender.sendMessage(Messages.Console.NOT_A_PLAYER);
        }
        return true;
    }

    @Override
    public List<String> tabComplete(CommandSender sender, String label, String[] args) {
        return null;
    }
}