package eu.univento.teamvento.utils;

import org.bukkit.Material;

/**
 * @author joethei
 * @version 0.1
 * created on 29.06.2016
 */
public enum ResourcePack {

    DEFAULT("§eDefault", Material.DIRT, ""),
    PURE_BD_CRAFT("§ePureBDCraft", Material.GLOWSTONE, "http://bdcraft.net/download/?z=PureBDcraft%20%2016x%20MC110&dl=bdcee96e7a816b6eb3ebda4549acd222641"),
    FAITHFUL("§eFaithful", Material.WOOD, "http://mods.curse.com/texture-packs/minecraft/236821-faithful-1-10/2310424#"),
    CHROMA_HILLS("§eChroma Hills", Material.SAND, "http://chromahills.com/zipfiles/ChromaHills128x-1.9-v.1.zip"),
    DOKUCRAFT("§eDokucraft", Material.BRICK, "https://www.dokucraft.co.uk/dl/1.9-Dokucraft-TSC-Light.zip"),
    SOARTEX_FANVER("§eSoartex Fanver", Material.MOSSY_COBBLESTONE, "http://mods.curse.com/texture-packs/minecraft/soartex-fanver-vanilla/2311293#"),
    DANDELION("§eDandelion", Material.YELLOW_FLOWER, "http://www.mediafire.com/download/7mmk531lf41f7ex/Dandelion+v1.8.1.zip");

    private String name;
    private Material material;
    private String url;

    private ResourcePack(String name, Material material, String url) {
        this.name = name;
        this.material = material;
        this.url = url;
    }

    public static ResourcePack valueOf(Material material) {
        for(ResourcePack pack : values()) {
            if(material == pack.getMaterial()) return pack;
        }
        return null;
    }

    public String getName() {
        return name;
    }

    public Material getMaterial() {
        return material;
    }

    public String getUrl() {
        return url;
    }
}