package eu.univento.teamvento.listener;

import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.api.player.Rank;
import eu.univento.teamvento.utils.WorldEdit;
import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.ItemStack;

/**
 * @author joethei
 * @version 0.1
 */
public class PositionSetter  implements Listener{

    @EventHandler
    public void onInteract(PlayerInteractEvent e) {
        CustomPlayer p = CustomPlayer.getPlayer(e.getPlayer());
        Block b = e.getClickedBlock();
        ItemStack item = p.getInventory().getItemInMainHand();
        if (p.isAllowed(Rank.Builder)) {
            if(e.getAction() == Action.LEFT_CLICK_BLOCK && item.getType() == Material.WOOD_AXE) {
                WorldEdit.setPos1(p, b);
                p.sendMessage(p.getMessages().PREFIX() + "§aset pos1");
            }
            if(e.getAction() == Action.RIGHT_CLICK_BLOCK && item.getType() == Material.WOOD_AXE) {
                WorldEdit.setPos2(p, b);
                p.sendMessage(p.getMessages().PREFIX() + "§aset pos2");
            }
        }
    }
}
